<app-modal></app-modal>

<p class="fallback-message" *ngIf="!selectedStudent">Please select student</p>

<div class="student-details" *ngIf="selectedStudent">
  <a routerLink="/">X</a>

  <h3>Student Detail</h3>

  <div class="row">
    <div class="col-md-4 col-sm-12 student-details--image">
      <img [src]="selectedStudent.img">
    </div>
    <div class="col-md-6 col-sm-12 p-sm-5">
      <ul>
        <li><b>Name: </b>{{selectedStudent.name}}</li>
        <li><b>Phone: </b>{{selectedStudent.phone}}</li>
        <li><b>DOB: </b>{{selectedStudent.dob}}</li>
        <li><b>Address: </b> {{selectedStudent.address.state}}, {{selectedStudent.address.country}}
        </li>
      </ul>
    </div>

    <div class="col-md-2 col-sm-12 student-details--manage">
      <button [routerLink]="['/students/manage', index]"
              type="button"
              class="btn btn-primary">Edit</button>
      <button type="button" class="btn btn-danger" (click)="deleteStudent()">Delete</button>
    </div>
  </div>
</div>
